package org.gcube.portal.event.publisher.lr62.action;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.gcube.portal.event.publisher.lr62.PortalEvent;

import com.liferay.portal.model.User;

public class ActionEvent extends PortalEvent {

    private static final long serialVersionUID = -256209939036712171L;

    public static final String LOGIN_NAME = "login";
    public static final String LOGOUT_NAME = "logout";

    private ActionEvent(String name, User user) {
        super(name, user);
    }

    public static ActionEvent newLoginEvent(HttpServletRequest request, HttpServletResponse response) {
        User user = (User) request.getSession(false).getAttribute("USER");
        if (log.isDebugEnabled()) {
            log.debug("Sending login event for user: " + user.getScreenName());
        }
        return new ActionEvent(LOGIN_NAME, user);
    }

    public static ActionEvent newLogoutEvent(HttpServletRequest request, HttpServletResponse response) {
        User user = (User) request.getSession(false).getAttribute("USER");
        if (log.isDebugEnabled()) {
            log.debug("Sending logut event for user: " + user.getScreenName());
        }
        return new ActionEvent(LOGOUT_NAME, user);
    }

}
