package org.gcube.portal.event.publisher.lr62.model;

import com.liferay.portal.ModelListenerException;
import com.liferay.portal.model.Group;

public class GroupEventPublisher extends AbstractEventPublisherBaseModelListener<Group> {

    @Override
    public void onAfterCreate(Group group) throws ModelListenerException {
        if (group.isSite()) {
            publish(GroupEvent.newCreatedEvent(group));
        } else {
            log.info("Created a non-site Group");
        }
    }

    @Override
    public void onBeforeRemove(Group group) throws ModelListenerException {
        if (group.isSite()) {
            publish(GroupEvent.newDeletedEvent(group));
        } else {
            log.info("Deleted a non-site Group");
        }
    }

    /* Uninteresting model events */

    @Override
    public void onAfterRemove(Group group) throws ModelListenerException {
        // TODO Auto-generated method stub
        
    }
    
    @Override
    public void onAfterAddAssociation(Object classPK, String associationClassName, Object associationClassPK)
            throws ModelListenerException {
        // TODO Auto-generated method stub
        
    }

    @Override
    public void onAfterRemoveAssociation(Object classPK, String associationClassName, Object associationClassPK)
            throws ModelListenerException {
        // TODO Auto-generated method stub
        
    }

    @Override
    public void onAfterUpdate(Group group) throws ModelListenerException {
        // TODO Auto-generated method stub
        
    }

    @Override
    public void onBeforeAddAssociation(Object classPK, String associationClassName, Object associationClassPK)
            throws ModelListenerException {
        // TODO Auto-generated method stub
        
    }

    @Override
    public void onBeforeCreate(Group group) throws ModelListenerException {
        // TODO Auto-generated method stub
        
    }

    @Override
    public void onBeforeRemoveAssociation(Object classPK, String associationClassName, Object associationClassPK)
            throws ModelListenerException {
        // TODO Auto-generated method stub
        
    }

    @Override
    public void onBeforeUpdate(Group group) throws ModelListenerException {
        // TODO Auto-generated method stub
        
    }

}
